"""les modes d'interaction permettent l'interaction
entre l'interface (l'utilisateur) et le plateau de combat.
Un seul mode ne peut etre actif a la fois
Cette classe doit permettre de recevoir les commandes de l'utilisateur
de maniere a produire un resultat unique (cases peintes, pion deplace...)
Les modes sont repartis en deux categories:
cp -> creation du plateau
pi -> manipulation des pions"""

class ModesInteraction():
    def __init__(self, plateau):
        self._actif = ""

    def activer(self, mode, param = None):
        """active le mode demande (avec si necessaire un parametre supplementaire)"""
        #desactiver le mode actif
        #activer le nouveau mode
        #enregistrer ce mode comme etant le nouveau mode
        pass

    def resultat(self):
        """renvoie le resultat de la derniere interaction"""
        pass

    def actif(self):
        """renvoie le mode actif"""
        return self._actif
    

class Mode():
    def __init__(self):
        self.nom = ""
        self.curseur = ""
        self.dragMode = False
        self.param = {}
        
        


























